### Method

# Ggit Diff merge

#### Declaration [src]

    void
    ggit_diff_merge (
      GgitDiff* onto,
      GgitDiff* from,
      GError** error
    )

#### Description [src]

Merges `from` into `onto` unless `error` is set.

#### Parameters

`from`

  Type: `GgitDiff`

  The `GgitDiff` to merge.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.